| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Functions
Compound Functors
Numerical Utilities » Functor Objects

Compound functors implement expressions that are composed of other functors. More...

Collaboration diagram for Compound Functors:

## Detailed Description

Compound functors implement expressions that are composed of other functors.

The following compound functor types are implemented:

- `"sum"` (class Sum1),
- `"diff"` (class Diff1),
- `"product"` (class Product1),
- `"ratio"` (class Ratio1),
- `"composite"` (class Composite1),

## Classes
class | Sum1
| Implements the sum of two functions. More...
class | Diff1
| Implements the difference of two functions. More...
class | Product1
| Implements the product of two functions. More...
class | Ratio1
| Implements the ratio of two functions. More...
class | Composite1
| Implements a composite function. More...

## Functions
shared_ptr< Func1 > | newFunc1 (const string &func1Type, const shared_ptr< Func1 > f1, const shared_ptr< Func1 > f2)
| Create a new compound functor object (see Compound Functors).

## Function Documentation

## ◆ newFunc1()

shared_ptr< Func1 > newFunc1 | ( | const string & | func1Type,
|  | const shared_ptr< Func1 > | f1,
|  | const shared_ptr< Func1 > | f2
| ) |  |

Create a new compound functor object (see Compound Functors).

Parameters

  func1Type | String identifying functor type.
  f1 | First Func1 object.
  f2 | Second Func1 object.

Since
  New in Cantera 3.0

Definition at line 157 of file Func1Factory.cpp.